\name{aRTtable-class}
\docType{class}
\alias{aRTtable}
\alias{aRTtable-class}
\alias{initialize,aRTtable-method}

\title{Class "aRTtable"}
\description{Class that represents a DBMS table. It can be one of the various TerraLib
table types.

Tables are created from layers, and their attributes can be linked to other tables or
geometries. For selecting data joining tables with the links use aRTthemes.}

\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("aRTtable", aRTlayer, tablename, create = T)}
}

\section{Slots}{
  \describe{
    \item{\code{pointer}:}{An external pointer. DO NOT change it!}
  }
}

\section{Extends}{
Class \code{"aRTcomponent"}, directly.
}

\section{Methods}{
  \describe{
    \item{initialize:}{Initializer of aRTlayer class.}
	\item{addColumns:}{Add new columns to the table.}
	\item{addRows:}{Add new elements to the table.}
	\item{getData:}{Returns the table values.}
  }
}

\references{\url{http://www.est.ufpr.br/aRT}}
\author{Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
 See \code{aRTtable-METHOD} for a method of this class or \code{CLASSNAME-class} for links to other classes.
}

% vim: syntax=tex
