\docType{object}
\alias{aRTtable-initializer}
\alias{aRTtable-initialize}
\title{"aRTtable"}
\name{initialize}
\description{Initializer of aRTtable class.}
\section{Usage}{
	obj <- new("aRTtable", aRTlayer, tablename, create=T)
}

\section{Arguments}{
   \describe{
   \item{aRTlayer:}{Object of aRTlayer class.}
   \item{tablename:}{Name of the table.}
   \item{create:}{Can the table be created if it does not exist?}
   \item{id:}{The name of the unique identifier of the table (default = "id"). Used only at creating.}
   \item{length:}{The maximum length of id instances. Used only at creating.}
   \item{generateids:}{Populate the table ids linking with the layer geometries? Used only at creating,
         and with static and dynamic attributes tables only.}
   \item{type:}{The type of the table, see below (default is static).}
  }
}

\section{Table types}{
In TerraLib there are several types of table, implementing the entity relationship,
temporal and other models. They are:
\describe{
\item{"s"}{Static. Table which each geomety has one, and only one, respective row.}
\item{"m"}{Media. (not implemented yet).}
\item{"x"}{External table. Each row is not implicitly connected to a geometry, but
           the table can have foreign keys to all static, event and dynamoc tables.}
\item{"e"}{Event. (not implemented yet)}
\item{"a"}{dynamic Attributes.(not implemented yet)}
\item{"d"}{Fully dynamic (attributes and geometry).(not implemented yet)}
\item{"g"}{dynamic Geometry.(not implemented yet)}
}
}

\references{\url{http://www.est.ufpr.br/aRT}}
\author{Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
  See \code{\link{aRTtable-class}} to the description of this class.
}
% vim: syntax=tex
