\docType{object}
\alias{aRTtheme-initializer}
\alias{aRTtheme-initialize}
\title{"aRTtheme initializer"}
\name{initialize}

\description{Initializer of aRTtheme class.}

\section{Usage}{
    obj <- new("aRTtheme", layer, create=T)
}

\section{Arguments}{
  \describe{
  \item{layer:}{The layer where the theme is associated. Object of aRTlayer class.}
  \item{themename:}{The theme name. The default value is the Layer name.}
  \item{create:}{Creates a new theme when create=TRUE, and open a existing theme when create=FALSE. The default is create=FALSE.}
  \item{tables:}{The table(s) of the used layer.}
  \item{viewname:}{The view name. The default is the theme name.}
  \item{colors:}{The colors used in the theme if it has raster geometry.}
  }
}

\section{Example}{
  obj <- new("aRTtheme", objectLayer, themename="TemaArmadilhas", create=TRUE, tables=c("Armadilhas","Coletas"), viewname="VistaArmadilhas")

  obj <- new("aRTtheme", objectLayer, themename="TemaArmadilhas", create=FALSE)
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Marcos Aurelio Carrero and Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
   See \code{aRTtheme-class} to the description of this class.
}
% vim: syntax=tex
