\name{setVisual}
\alias{setVisual}
\alias{setVisual,aRTtheme-method}
\title{setVisual}
\description{
Function to set the visual of a theme, to be visualized in a TerraLib-based GIS.
}
\section{Usage}{
	setVisual(aRTtheme, aRTvisual, att="attname", mode="s")
}
\section{Arguments}{
  \describe{
  \item{object:}{Object of class aRTtheme.}
  \item{visual:}{Object of class aRTvisual.}
  \item{attribute:}{Theme attribute which values will be used to generate the slices.}
  \item{mode:}{Type of slicing.}
  }
}

\section{Slicing}{
The theme visual will be sliced if \code{visual} contains more then one color.
Slices can be generated based on 5 factors, represented by \code{mode} value:
\itemize{
\item equalsteps
\item stddeviation
\item quantil
\item uniquevalue
\item raster
}
When slicing a raster, \code{mode} will always be \code{raster}, and it will
be divided into equal steps, according with its values (and no \code{attribute} is
used). The other four modes are used with an attribute.
}

\references{\url{http://www.est.ufpr.br/aRT}}

\author{Pedro Ribeiro de Andrade Neto}
\keyword{database}
\seealso{
	See \code{aRTtheme-class} to show the description of this class.
}
% vim: syntax=tex
